osl::record::OKisenStream Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::record::OKisenStream Class Reference

`#include <kisen.h>`

Inheritance diagram for osl::record::OKisenStream:
[legend]
Collaboration diagram for osl::record::OKisenStream:
[legend]

## Public Member Functions
| OKisenStream (std::ostream &ostream)
void | save (const SimpleState &state, const vector< Move > &moves)
virtual void | save (Record *)
virtual | ~OKisenStream ()
Public Member Functions inherited from osl::record::ORecordStream
virtual | ~ORecordStream ()

## Private Attributes
std::ostream & | os

## Detailed Description

Definition at line 130 of file kisen.h.

## Constructor & Destructor Documentation

osl::record::OKisenStream::OKisenStream | ( | std::ostream & | ostream) |  |
| inline

Definition at line 132 of file kisen.h.

virtual osl::record::OKisenStream::~OKisenStream | ( | ) |  |
| inlinevirtual

Definition at line 135 of file kisen.h.

## Member Function Documentation

void osl::record::OKisenStream::save | ( | const SimpleState & | state,
|  | const vector< Move > & | moves
| ) |  |

Definition at line 293 of file kisen.cc.

References count, osl::Move::from(), osl::HIRATE, osl::Move::isDrop(), osl::Move::isPromotion(), osl::eval::min(), order, osl::Move::player(), osl::Move::ptype(), and osl::Move::to().

Referenced by run().

void osl::record::OKisenStream::save | ( | Record * | record) |  |
| virtual

Implements osl::record::ORecordStream.

Definition at line 339 of file kisen.cc.

References osl::record::Record::getInitialState(), osl::record::Record::getMoves(), and moves.

## Member Data Documentation

std::ostream& osl::record::OKisenStream::os
| private

Definition at line 137 of file kisen.h.

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc